/**
 * @file CPath.h
 * @author apio (cloudapio.eu)
 * @brief Basic operations on paths using C-style strings.
 *
 * @copyright Copyright (c) 2023, the Luna authors.
 *
 */

#pragma once

extern "C"
{
    /**
     * @brief Get the base name of a path.
     *
     * @param path The path to use. This will be modified.
     * @return char* A pointer to the base name (usually points inside path).
     */
    char* basename(char* path);

    /**
     * @brief Get the parent directory of a path.
     *
     * @param path The path to use. This will be modified.
     * @return char* A pointer to the directory (usually points inside path).
     */
    char* dirname(char* path);
}
